TreeOutcomesProperties (scheduler-portlet 2.1.0-SNAPSHOT API)
Date: 2014-05-05

org.gcube.datatransfer.portlets.user.client.prop

## Interface TreeOutcomesProperties

- All Superinterfaces:
    com.sencha.gxt.data.shared.PropertyAccess<TreeOutcomes>

      public interface TreeOutcomesProperties
      extends com.sencha.gxt.data.shared.PropertyAccess<TreeOutcomes>

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.sencha.gxt.core.client.ValueProvider<TreeOutcomes,String>` | `destID()`
    `com.sencha.gxt.core.client.ValueProvider<TreeOutcomes,String>` | `exception()`
    `com.sencha.gxt.core.client.ValueProvider<TreeOutcomes,String>` | `failure()`
    `com.sencha.gxt.data.shared.ModelKeyProvider<TreeOutcomes>` | `key()`
    `com.sencha.gxt.core.client.ValueProvider<TreeOutcomes,String>` | `readTrees()`
    `com.sencha.gxt.core.client.ValueProvider<TreeOutcomes,String>` | `sourceID()`
    `com.sencha.gxt.core.client.ValueProvider<TreeOutcomes,String>` | `success()`
    `com.sencha.gxt.core.client.ValueProvider<TreeOutcomes,String>` | `totalMessage()`
    `com.sencha.gxt.core.client.ValueProvider<TreeOutcomes,String>` | `writtenTrees()`

- - ### Method Detail

    - #### key

          @Editor.Path(value="id")
          com.sencha.gxt.data.shared.ModelKeyProvider<TreeOutcomes> key()

    - #### sourceID

          com.sencha.gxt.core.client.ValueProvider<TreeOutcomes,String> sourceID()

    - #### destID

          com.sencha.gxt.core.client.ValueProvider<TreeOutcomes,String> destID()

    - #### readTrees

          com.sencha.gxt.core.client.ValueProvider<TreeOutcomes,String> readTrees()

    - #### writtenTrees

          com.sencha.gxt.core.client.ValueProvider<TreeOutcomes,String> writtenTrees()

    - #### exception

          com.sencha.gxt.core.client.ValueProvider<TreeOutcomes,String> exception()

    - #### success

          com.sencha.gxt.core.client.ValueProvider<TreeOutcomes,String> success()

    - #### failure

          com.sencha.gxt.core.client.ValueProvider<TreeOutcomes,String> failure()

    - #### totalMessage

          com.sencha.gxt.core.client.ValueProvider<TreeOutcomes,String> totalMessage()

Copyright © 2014. All Rights Reserved.